Update to sagemath 5.9

This commit is contained in:
pcpa 2013-05-09 11:45:42 -03:00
parent eac7c8fec1
commit fbc0e8d055
33 changed files with 597 additions and 578 deletions

View file

@ -1,6 +1,6 @@
diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
--- sage-5.8/spkg/bin/sage.orig 2013-02-22 17:09:59.465820327 -0300
+++ sage-5.8/spkg/bin/sage 2013-02-22 17:17:23.824837343 -0300
diff -up sage-5.9/spkg/bin/sage.orig sage-5.9/spkg/bin/sage
--- sage-5.9/spkg/bin/sage.orig 2013-05-06 12:05:34.567508584 -0300
+++ sage-5.9/spkg/bin/sage 2013-05-06 12:21:04.123544180 -0300
@@ -11,17 +11,14 @@ usage() {
echo " file.<sage|py|spyx> -- run given .sage, .py or .spyx files"
echo " -advanced -- list all command line options"
@ -19,20 +19,26 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
echo " -python [...] -- run the Python interpreter"
echo " -R [...] -- run Sage's R with given arguments"
echo " -singular [...] -- run Sage's singular with given arguments"
@@ -38,10 +35,8 @@ usage() {
echo " -only-optional <tag1,...,tagn> -- only run tests"
echo " including one of the #optional tags"
echo " -randorder[=seed] -- randomize order of tests"
@@ -36,10 +33,6 @@ usage() {
echo " --verbose - print debugging output during the test"
echo " --optional - controls which optional tests are run"
echo " --help - show all testing options"
- echo " -upgrade [url] -- download, build and install standard packages from"
- echo " given url. If url not given, automatically selects a"
- echo " suitable mirror. If url='ask', it lets you select"
- echo " the mirror (uses SAGE_SERVER as default)."
+ echo " -testall [options] -- test all source files, docs, and examples. options"
+ echo " like -t"
echo " -v, -version -- print the Sage version"
exit 0
}
@@ -71,8 +66,6 @@ usage_advanced() {
@@ -63,14 +56,14 @@ usage_advanced() {
echo " -root -- print the Sage root directory"
echo " -gthread, -qthread, -q4thread, -wthread, -pylab"
echo " -- pass the option through to ipython"
+ echo " -testall [options] -- test all source files, docs, and examples. options"
+ echo " like -t"
echo " -v, -version -- print the Sage version"
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
echo "Running the notebook:"
@ -41,13 +47,16 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
echo " -inotebook [...] -- start the *insecure* Sage notebook"
echo " -n, -notebook [...] -- start the Sage notebook (options are the same"
echo " as for the notebook command in Sage)"
@@ -90,13 +83,8 @@ usage_advanced() {
echo " -hg [...] -- run Sage's Mercurial with given arguments"
@@ -85,16 +78,11 @@ usage_advanced() {
echo " -gap [...] -- run Sage's Gap with given arguments"
echo " -gdb -- run Sage under the control of gdb"
echo " -gp [...] -- run Sage's PARI/GP calculator with given arguments"
- echo " -hg [...] -- run Sage's Mercurial with given arguments"
echo " -ipython [...] -- run Sage's IPython using the default environment (not"
echo " Sage), passing additional options to IPython"
- echo " -kash [...] -- run Sage's Kash with given arguments"
- test -x "$SAGE_LOCAL/bin/kash" || \
- echo " (not installed currently, run sage -i kash)"
echo " (not installed currently, run sage -i kash)"
echo " -lisp [...] -- run Lisp interpreter included with Sage"
echo " -M2 [...] -- run Sage's Macaulay2 with given arguments"
- test -x "$SAGE_LOCAL/bin/M2" || \
@ -55,7 +64,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
echo " -maxima [...] -- run Sage's Maxima with given arguments"
echo " -mwrank [...] -- run Sage's mwrank with given arguments"
echo " -python [...] -- run the Python interpreter"
@@ -110,77 +98,10 @@ usage_advanced() {
@@ -108,73 +96,6 @@ usage_advanced() {
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
@ -106,17 +115,18 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
- echo " -startuptime [module] -- display how long each component of Sage takes to"
- echo " start up; optionally specify a module to get more"
- echo " details about that particular module"
- echo " -t [options] <files|dir>"
- echo " -- test examples in .py, .pyx, .sage or .tex files"
- echo " options:"
- echo " -long -- include lines with the phrase 'long time'"
- echo " -verbose -- print debugging output during the test"
- echo " -optional -- also test all #optional examples"
- echo " -only-optional <tag1,...,tagn> -- only run tests"
- echo " including one of the #optional tags"
- echo " -randorder[=seed] -- randomize order of tests"
- echo " -tnew [...] -- like -t above, but only tests files modified since"
- echo " last commit"
- echo " -t [options] <--all|files|dir>"
- echo " -- test examples in .py, .pyx, .sage, .tex or .rst files"
- echo " selected options:"
- echo " --long - include lines with the phrase 'long time'"
- echo " --verbose - print debugging output during the test"
- echo " --optional - controls which optional tests are run"
- echo " --randorder[=seed] - randomize order of tests"
- echo " --new - only test files modified since last commit"
- echo " --initial - only show the first failure per block"
- echo " --debug - drop into PDB after an unexpected error"
- echo " --failed - only test files that failed last test"
- echo " --help - show all testing options"
- echo " -tp <N> [...] -- like -t above, but tests in parallel using N threads"
- echo " with 0 interpreted as a sensible default"
- echo " -testall [options] -- test all source files, docs, and examples. options"
@ -128,12 +138,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
echo "Documentation:"
echo " -coverage <files> -- give info about doctest coverage of files"
echo " -coverageall -- give summary info about doctest coverage of all"
echo " files in the Sage library"
- echo " -docbuild [lang/]<document> <html|pdf|...> -- Build the Sage documentation"
echo " -search_src <string> -- search through all the Sage library code for string"
echo " -search_doc <string> -- search through the Sage documentation for string"
echo " -grep <string> -- same as -search_src"
@@ -198,20 +119,6 @@ usage_advanced() {
@@ -197,20 +118,6 @@ usage_advanced() {
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
@ -154,7 +159,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
echo "Valgrind memory debugging:"
echo " -cachegrind -- run Sage using Valgrind's cachegrind tool. The log"
echo " files are named sage-cachegrind.PID can be found in"
@@ -225,9 +132,6 @@ usage_advanced() {
@@ -224,9 +131,6 @@ usage_advanced() {
echo " -memcheck -- run Sage using Valgrind's memcheck tool. The log"
echo " files are named sage-memcheck.PID can be found in"
echo " $DOT_SAGE"
@ -164,7 +169,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
echo " -valgrind -- this is an alias for -memcheck"
echo
echo "You can also use -- before a long option, e.g., 'sage --optional'."
@@ -247,15 +151,6 @@ if [ "$1" = '--nodotsage' ]; then
@@ -246,15 +150,6 @@ if [ "$1" = '--nodotsage' ]; then
exit $status
fi
@ -180,8 +185,11 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
if [ $# -gt 0 ]; then
if [ "$1" = '-h' -o "$1" = '-?' -o "$1" = '-help' -o "$1" = '--help' ]; then
usage
@@ -268,30 +163,11 @@ fi
@@ -264,28 +159,13 @@ if [ $# -gt 0 ]; then
fi
fi
-
# Prepare for running Sage, either interactively or non-interactively.
sage_setup() {
- # Check that we're not in a source tarball which hasn't been built yet (#13561).
@ -201,17 +209,34 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
cat "$SAGE_LOCAL/bin/sage-banner"
fi
- # Check to see if the whole Sage install tree has moved. If so,
- # change various hardcoded paths. Skip this if we don't have write
- # access to $SAGE_LOCAL (e.g. when running as a different user).
- if [ -w "$SAGE_LOCAL" ]; then
- sage-location || exit $?
- fi
- maybe_sage_location
-
if [ ! -d "$IPYTHONDIR" ]; then
# make sure that $DOT_SAGE exists so that ipython will happily
# create its config directories there. If DOT_SAGE doesn't
@@ -340,12 +216,6 @@ if [ "$1" = '-root' -o "$1" = '--root'
@@ -295,21 +175,6 @@ sage_setup() {
sage-cleaner &>/dev/null &
}
-
-# Check to see if the whole Sage install tree has moved. If so,
-# change various hardcoded paths. Skip this if we don't have write
-# access to $SAGE_LOCAL (e.g. when running as a different user) or
-# if Python and sage-location haven't been installed yet.
-maybe_sage_location()
-{
- if [ -w "$SAGE_LOCAL" ]; then
- if [ -x "$SAGE_LOCAL/bin/python" ] && [ -x "$SAGE_LOCAL/bin/sage-location" ]; then
- sage-location || exit $?
- fi
- fi
-}
-
-
# Start an interactive Sage session, this function never returns.
interactive_sage() {
sage_setup
@@ -348,12 +213,6 @@ if [ "$1" = '-root' -o "$1" = '--root'
exit 0
fi
@ -224,7 +249,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
#####################################################################
# Run Sage's versions of the standard Algebra/Geometry etc. software
#####################################################################
@@ -355,74 +225,59 @@ if [ "$1" = '-axiom' -o "$1" = '--axiom'
@@ -363,74 +222,59 @@ if [ "$1" = '-axiom' -o "$1" = '--axiom'
exec axiom "$@"
fi
@ -248,7 +273,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
if [ "$1" = '-singular' -o "$1" = '--singular' ]; then
shift
- exec "$SAGE_LOCAL/bin/singular" "$@"
+ exec singular "$@"
+ exec Singular "$@"
fi
if [ "$1" = '-sqlite3' -o "$1" = '--sqlite3' ]; then
@ -310,7 +335,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
fi
if [ "$1" = '-python' -o "$1" = '--python' ]; then
@@ -432,12 +287,12 @@ fi
@@ -440,7 +284,7 @@ fi
if [ "$1" = '-R' -o "$1" = '--R' ]; then
shift
@ -319,13 +344,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
fi
if [ "$1" = '-ipython' -o "$1" = '--ipython' ]; then
shift
- exec "$SAGE_LOCAL/bin/ipython" "$@"
+ exec ipython "$@"
fi
if [ "$1" = '-sh' -o "$1" = '--sh' ]; then
@@ -558,33 +413,6 @@ EOF
@@ -566,33 +410,6 @@ EOF
exit $status
fi
@ -359,7 +378,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
#####################################################################
# File conversion
#####################################################################
@@ -600,35 +428,15 @@ if [ "$1" = '-rst2sws' -o "$1" = '--rst2
@@ -608,36 +425,15 @@ if [ "$1" = '-rst2sws' -o "$1" = '--rst2
fi
#####################################################################
@ -376,6 +395,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
#####################################################################
-build_sage() {
- maybe_sage_location
- sage-build "$@" || exit $?
-}
-
@ -395,7 +415,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
if [ "$1" = "-inotebook" -o "$1" = '--inotebook' ]; then
shift
sage-cleaner &>/dev/null &
@@ -651,79 +459,7 @@ if [ "$1" = '-grepdoc' -o "$1" = "--grep
@@ -656,86 +452,14 @@ if [ "$1" = '-grepdoc' -o "$1" = "--grep
exit 0
fi
@ -468,40 +488,41 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
- exit $?
-fi
-
-if [ "$1" = '-t' -o "$1" = '-bt' ]; then
- if [ "$1" = '-bt' ]; then
- build_sage
- fi
+if [ "$1" = '-t' ]; then
if ! [ -f "$DOT_SAGE"/init.sage ]; then
echo >&2 "init.sage does not exist ... creating"
touch "$DOT_SAGE"/init.sage
@@ -735,10 +471,7 @@ if [ "$1" = '-t' -o "$1" = '-bt' ]; then
exit $?
fi
-if [ "$1" = '-tp' -o "$1" = '-btp' ]; then
- if [ "$1" = '-btp' ]; then
- build_sage
- fi
+if [ "$1" = '-tp' ]; then
if ! [ -f "$DOT_SAGE"/init.sage ]; then
echo >&2 "init.sage does not exist ... creating"
touch "$DOT_SAGE"/init.sage
@@ -750,10 +483,7 @@ if [ "$1" = '-tp' -o "$1" = '-btp' ]; th
exit $?
-if [ "$1" = '-t' -o "$1" = '-bt' -o "$1" = '-tp' -o "$1" = '-btp' ]; then
- if [ "$1" = '-bt' -o "$1" = '-btp' ]; then
- build_sage
- fi
+if [ "$1" = '-t' -o "$1" = '-tp' ]; then
if [ ! -f "$DOT_SAGE"/init.sage ]; then
echo >&2 "init.sage does not exist ... creating"
touch "$DOT_SAGE"/init.sage
fi
SAGE_BANNER="no"
sage_setup
- if [ "$1" = '-tp' -o "$1" = '-btp' ]; then
+ if [ "$1" = '-tp' ]; then
shift
exec sage-runtests -p "$@"
else
@@ -744,16 +468,6 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
fi
fi
-if [ "$1" = '-tnew' -o "$1" = '-btnew' ]; then
- if [ "$1" = '-btnew' ]; then
- build_sage
- fi
+if [ "$1" = '-tnew' ]; then
shift
SAGE_BANNER="no"
sage_setup
@@ -769,12 +499,6 @@ if [ "$1" = '-testall' -o "$1" = "--test
exit $?
- if [ "$1" = '-btnew' ]; then
- build_sage
- fi
- shift
- SAGE_BANNER="no"
- sage_setup
- exec sage-runtests --new "$@"
-fi
-
if [ "$1" = '-testall' -o "$1" = "--testall" ]; then
shift
SAGE_BANNER="no"
@@ -761,12 +475,6 @@ if [ "$1" = '-testall' -o "$1" = "--test
exec sage-runtests -a "$@"
fi
-if [ "$1" = '-patchbot' -o "$1" = "--patchbot" ]; then
@ -513,11 +534,13 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
if [ "$1" = '-c' ]; then
shift
SAGE_BANNER="no"
@@ -783,164 +507,6 @@ if [ "$1" = '-c' ]; then
@@ -775,166 +483,6 @@ if [ "$1" = '-c' ]; then
exec sage-eval "$@"
fi
-install() {
- maybe_sage_location
-
- mkdir -p "$SAGE_LOGS"
- for PKG in "$@"
- do
@ -547,16 +570,13 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
-
- "$SAGE_ROOT"/spkg/pipestatus \
- "sage-spkg $OPTINFO $OPTF $OPTS $OPTC '$PKG' 2>&1" \
- "(trap '' SIGINT; tee -a '$SAGE_ROOT/install.log' '$SAGE_LOGS/$PKG_NAME.log')"
- "(trap '' SIGINT; tee -a '$SAGE_ROOT/logs/install.log' '$SAGE_LOGS/$PKG_NAME.log')"
- # Do not try to install further packages if one failed
- if [ $? -ne 0 ]; then
- exit 1
- fi
- done
-
- # Run sage-location to update paths of the package(s) we just
- # installed.
- exec sage-location
- exit 0
-}
-
-if [ "$1" = '-optional' -o "$1" = "--optional" ]; then
@ -615,6 +635,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
- echo >&2 "** MISSING VERSION NUMBER! **"
- exit 2
- fi
- maybe_sage_location
- exec sage-sdist $2 "$SAGE_ROOT"
-fi
-
@ -623,6 +644,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
- echo >&2 "** MISSING VERSION NUMBER! **"
- exit 2
- fi
- maybe_sage_location
- exec sage-rsyncdist $2
-fi
-
@ -631,6 +653,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
- echo >&2 "** MISSING VERSION NUMBER! **"
- exit 2
- fi
- maybe_sage_location
- cd "$SAGE_ROOT"
- exec sage-bdist $2 "$SAGE_ROOT"
-fi
@ -678,7 +701,7 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
if [ "$1" = '-gdb' -o "$1" = "--gdb" ]; then
shift
sage_setup
@@ -989,12 +555,6 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
@@ -983,12 +531,6 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
exec sage-callgrind "$@"
fi
@ -691,87 +714,23 @@ diff -up sage-5.8/spkg/bin/sage.orig sage-5.8/spkg/bin/sage
if [ "$1" = '-startuptime' -o "$1" = '--startuptime' ]; then
exec sage-startuptime.py "$@"
fi
diff -up sage-5.8/spkg/build/sage_scripts-5.8/sage-doctest.orig sage-5.8/spkg/build/sage_scripts-5.8/sage-doctest
--- sage-5.8/spkg/build/sage_scripts-5.8/sage-doctest.orig 2013-02-22 17:19:08.426841348 -0300
+++ sage-5.8/spkg/build/sage_scripts-5.8/sage-doctest 2013-02-22 17:20:08.600843653 -0300
@@ -90,11 +90,6 @@ def delete_tmpfiles():
# Set environment variables
######################################################
SAGE_ROOT = os.environ["SAGE_ROOT"]
-LD = os.environ["LD_LIBRARY_PATH"]
-os.environ["LD_LIBRARY_PATH"] = os.path.join(SAGE_ROOT, 'local',
- 'lib') + ":" + LD
-os.environ["PYTHONPATH"] = os.path.join(SAGE_ROOT, 'local', 'lib', 'python',
- 'site-packages')
if os.environ.has_key('SAGE_PATH'):
os.environ["PYTHONPATH"] = os.environ["PYTHONPATH"] + ':' + os.environ['SAGE_PATH']
diff -up sage-5.9/spkg/build/sage_scripts-5.9/sage-runtests.orig sage-5.9/spkg/build/sage_scripts-5.9/sage-runtests
--- sage-5.9/spkg/build/sage_scripts-5.9/sage-runtests.orig 2013-05-06 12:10:00.030518749 -0300
+++ sage-5.9/spkg/build/sage_scripts-5.9/sage-runtests 2013-05-06 12:22:51.300548284 -0300
@@ -54,10 +54,6 @@ if __name__ == "__main__":
help="run doctests using Valgrind's cachegrind tool. The log "
"files are named sage-cachegrind.PID and can be found in " +
os.path.join(os.environ["DOT_SAGE"], "valgrind"))
- parser.add_option("--omega", action="store_true", default=False,
- help="run doctests using Valgrind's omega tool. The log "
- "files are named sage-omega.PID and can be found in " +
- os.path.join(os.environ["DOT_SAGE"], "valgrind"))
@@ -125,11 +120,6 @@ try:
except:
SAGE_CALLGRIND_FLAGS = logfile % 'cachegrind.%p'
-try:
- SAGE_OMEGA_FLAGS = os.environ['SAGE_OMEGA_FLAGS']
-except:
- SAGE_OMEGA_FLAGS = logfile % 'omega.%p'
-
######################################################
# The Python binary
######################################################
@@ -790,8 +780,6 @@ def test_file(file, library_code):
cmd = "valgrind --tool=massif " + SAGE_MASSIF_FLAGS + cmd
if cachegrind:
cmd = "valgrind --tool=cachegrind " + SAGE_CACHEGRIND_FLAGS + cmd
- if omega:
- cmd = "valgrind --tool=exp-omega " + SAGE_OMEGA_FLAGS + cmd
VALGRIND = os.path.join(DOT_SAGE, 'valgrind')
try:
@@ -945,13 +933,12 @@ if __name__ == '__main__':
memcheck = has_opt('memcheck') or has_opt('valgrind')
massif = has_opt('massif')
cachegrind = has_opt('cachegrind')
- omega = has_opt('omega')
force_lib = has_opt('force_lib')
random_order = parse_rand()
only_optional, only_optional_tags = parse_only_opt()
if long_time:
TIMEOUT = TIMEOUT_LONG
- if gdb or memcheck or massif or cachegrind or omega:
+ if gdb or memcheck or massif or cachegrind:
TIMEOUT = TIMEOUT_VALGRIND
if argv[1][0] == '-':
usage()
@@ -959,7 +946,7 @@ if __name__ == '__main__':
ext = os.path.splitext(argv[1])[1]
library_code = True
- dev_path = os.path.realpath(os.path.join(SAGE_ROOT, 'devel'))
+ dev_path = os.path.realpath(os.environ['SAGE_DEVEL'] + '/sage')
our_path = os.path.realpath(argv[1])
if not force_lib and (ext in ['.spyx', '.sage'] or
diff -up sage-5.8/spkg/build/sage_scripts-5.8/sage-maketest.orig sage-5.8/spkg/build/sage_scripts-5.8/sage-maketest
--- sage-5.8/spkg/build/sage_scripts-5.8/sage-maketest.orig 2013-02-22 17:20:29.074844437 -0300
+++ sage-5.8/spkg/build/sage_scripts-5.8/sage-maketest 2013-02-22 17:20:51.800845307 -0300
@@ -16,10 +16,10 @@ echo `date` >> "$SAGE_TEST_LOG"
# whose names consist of two lowercase letters: those should match the
# various languages.
-"$SAGE_ROOT"/sage -t --sagenb "$@" \
- "$SAGE_ROOT"/devel/sage/doc/common \
- "$SAGE_ROOT"/devel/sage/doc/[a-z][a-z] \
- "$SAGE_ROOT"/devel/sage/sage 2>&1 | tee -a "$SAGE_TEST_LOG"
+sage -t --sagenb "$@" \
+ devel/sage/doc/common \
+ devel/sage/doc/[a-z][a-z] \
+ devel/sage/sage 2>&1 | tee -a "$SAGE_TEST_LOG"
if [ "$SAGE_TESTDIR" = "$SAGE_ROOT/tmp" ]; then
cat "$SAGE_TEST_LOG" >> "$SAGE_ROOT"/test.log
diff -up sage-5.8/spkg/build/sage_scripts-5.8/sage-valgrind.orig sage-5.8/spkg/build/sage_scripts-5.8/sage-valgrind
--- sage-5.8/spkg/build/sage_scripts-5.8/sage-valgrind.orig 2013-02-22 17:21:05.994845850 -0300
+++ sage-5.8/spkg/build/sage_scripts-5.8/sage-valgrind 2013-02-22 17:21:14.960846194 -0300
parser.add_option("-f", "--failed", action="store_true", default=False,
help="doctest only those files that failed in the previous run")
diff -up sage-5.9/spkg/build/sage_scripts-5.9/sage-valgrind.orig sage-5.9/spkg/build/sage_scripts-5.9/sage-valgrind
--- sage-5.9/spkg/build/sage_scripts-5.9/sage-valgrind.orig 2013-05-06 12:05:34.644508587 -0300
+++ sage-5.9/spkg/build/sage_scripts-5.9/sage-valgrind 2013-05-06 12:22:03.076546437 -0300
@@ -11,7 +11,7 @@ fi
LOG="$DOT_SAGE"/valgrind/sage-memcheck.%p
echo "Log file is $LOG"